<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layouts/application.html}">

<section layout:fragment="content">
    <div class="container-lg mt-5">
        <h1 th:text="'Сайт ' + ${url.name}"></h1>
        <table class="table table-bordered table-hover mt-3">
            <tbody>
            <tr>
                <td>ID</td>
                <td th:text="${url.id}">ID</td>
            </tr>
            <tr>
                <td>Имя</td>
                <td th:text="${url.name}">Имя</td>
            </tr>
            <tr>
                <td>Дата создания</td>
                <td th:text="${#temporals.format(url.createdAt, 'dd/MM/yyyy HH:mm')}">Дата создания</td>
            </tr>
            </tbody>
        </table>
        <h2 class="mt-5">Проверки</h2>

        <form method="post" th:action="@{/urls/{id}/checks(id=${url.id})}">
            <button type="submit" class="btn btn-primary">Запустить проверку</button>
        </form>

        <table class="table table-bordered table-hover mt-3">
            <thead>
            <th class="col-1">ID</th>
            <th class="col-1">Код ответа</th>
            <th>title</th>
            <th>h1</th>
            <th>description</th>
            <th class="col-2">Дата проверки</th>
            </thead>
            <tbody th:each="urlCheck : ${url.urlChecks}">
            <tr>
                <td th:text="${urlCheck.id}"></td>
                <td th:text="${urlCheck.statusCode}"></td>
                <td th:text="${urlCheck.title}"></td>
                <td th:text="${urlCheck.h1}"></td>
                <td th:text="${urlCheck.description}"></td>
                <td th:text="${urlCheck.createdAt}"></td>
            </tr>
            </tbody>
        </table>
    </div>
</section>

</html>
